User Reference
==============

This is the User Reference for the OSMnx package. If you are looking for an introduction to OSMnx, read the :doc:`getting-started` guide. This guide describes the usage of OSMnx's public API.

OSMnx 2.0 is released: read the `migration guide`_.

.. _migration guide: https://github.com/gboeing/osmnx/issues/1123

.. _osmnx-bearing-module:

osmnx.bearing module
--------------------

.. automodule:: osmnx.bearing
    :members:

.. _osmnx-convert-module:

osmnx.convert module
--------------------

.. automodule:: osmnx.convert
    :members:

.. _osmnx-distance-module:

osmnx.distance module
---------------------

.. automodule:: osmnx.distance
    :members:

.. _osmnx-elevation-module:

osmnx.elevation module
----------------------

.. automodule:: osmnx.elevation
    :members:

.. _osmnx-features-module:

osmnx.features module
---------------------

.. automodule:: osmnx.features
    :members:

.. _osmnx-geocoder-module:

osmnx.geocoder module
---------------------

.. automodule:: osmnx.geocoder
    :members:

.. _osmnx-graph-module:

osmnx.graph module
------------------

.. automodule:: osmnx.graph
    :members:

.. _osmnx-io-module:

osmnx.io module
---------------

.. automodule:: osmnx.io
    :members:

.. _osmnx-plot-module:

osmnx.plot module
-----------------

.. automodule:: osmnx.plot
    :members:

.. _osmnx-projection-module:

osmnx.projection module
-----------------------

.. automodule:: osmnx.projection
    :members:

.. _osmnx-routing-module:

osmnx.routing module
-----------------------

.. automodule:: osmnx.routing
    :members:

.. _osmnx-settings-module:

osmnx.settings module
---------------------

.. automodule:: osmnx.settings
    :members:

.. _osmnx-simplification-module:

osmnx.simplification module
---------------------------

.. automodule:: osmnx.simplification
    :members:

.. _osmnx-stats-module:

osmnx.stats module
------------------

.. automodule:: osmnx.stats
    :members:

.. _osmnx-truncate-module:

osmnx.truncate module
---------------------

.. automodule:: osmnx.truncate
    :members:

.. _osmnx-utils-module:

osmnx.utils module
------------------

.. automodule:: osmnx.utils
    :members:

.. _osmnx-utils_geo-module:

osmnx.utils_geo module
----------------------

.. automodule:: osmnx.utils_geo
    :members:
